declare const errorMessages: {
    /**
     * A generic error message when the Unity Instance is not available.
     */
    genericNoUnityInstance: string;
    /**
     * The error message for when no Unity Instance was found while trying to set
     * the fullscreen mode.
     */
    requestFullscreenNoUnityInstance: string;
    /**
     * The error message for when no Unity Instance was found while trying to
     * request the pointer lock.
     */
    requestPointerLockNoUnityInstanceOrCanvas: string;
    /**
     * The error message for when no Unity Instance was found while trying to send
     * a message.
     */
    sendMessageNoUnityInstance: string;
    /**
     * The error message for when no Unity Instance was found while trying to quit
     * the Unity Instance.
     */
    quitNoUnityInstance: string;
    /**
     * The error message for when no Unity Instance or Canvas was found while
     * trying to take a screenshot.
     */
    screenshotNoUnityInstanceOrCanvas: string;
    /**
     * The error message for when no event listener was found in the event
     * system.
     */
    noEventListener: string;
};
export { errorMessages };
//# sourceMappingURL=error-messages.d.ts.map